### Signal

# Handy TabView::page-detached

since: 1.2

#### Declaration

    void
    page_detached (
      HdyTabView* self,
      HandyTabPage* page,
      gint position,
      gpointer user_data
    )

#### Description [src]

Emitted when a page has been removed or transferred to another view.

A typical reason to connect to this signal would be to disconnect signal handlers connected in the `HdyTabView::page-attached` handler.

It is important not to try and destroy the page child in the handler of this function as the child might merely be moved to another window; use child dispose handler for that or do it in sync with your `hdy_tab_view_close_page_finish()` calls.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.2

#### Parameters

`page`

  Type: `HdyTabPage`

  A page of the view.

  The data is owned by the caller of the function.

`position`

  Type: `gint`

  The position of the removed page, starting from 0.